.svp-hero {
  margin-left: calc(var(--svp-site-container-padding-mobile) * -1);
  margin-right: calc(var(--svp-site-container-padding-mobile) * -1);
  margin-bottom: 3em;
}

@media (min-width: 1024px) {
  .svp-hero {
    margin-left: calc(var(--svp-site-container-padding-desktop) * -1);
    margin-right: calc(var(--svp-site-container-padding-desktop) * -1);
  }
}

.svp-hero .svp-button-list {
  display: flex;
  gap: 1em;
  flex-wrap: wrap;
  justify-content: flex-start;
  margin-top: 1em;
}

.svp-hero--primary, .svp-hero--secondary {
  overflow: hidden;
  position: relative;
}

.svp-hero--primary .svp-hero__body, .svp-hero--secondary .svp-hero__body {
  position: relative;
  z-index: 2;
  max-width: var(--svp-site-max-width);
  margin: 0 auto;
  min-height: min(30vh, 600px);
  padding: 2em var(--svp-site-container-padding-mobile) 2em;
}

@media (min-width: 1024px) {
  .svp-hero--primary .svp-hero__body, .svp-hero--secondary .svp-hero__body {
    padding: 2em var(--svp-site-container-padding-desktop) 2em;
  }
}

.svp-hero--primary .sv-image-portlet img, .svp-hero--secondary .sv-image-portlet img {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
  max-width: 100% !important;
  max-height: 100% !important;
}

.svp-hero--primary .sv-searchform-portlet, .svp-hero--secondary .sv-searchform-portlet {
  box-sizing: border-box;
}

.svp-hero--primary .sv-searchform-portlet .env-form-element, .svp-hero--secondary .sv-searchform-portlet .env-form-element {
  position: relative;
}

.svp-hero--primary .sv-searchform-portlet .env-form-element__control, .svp-hero--secondary .sv-searchform-portlet .env-form-element__control {
  box-shadow: var(--env-box-shadow);
}

.svp-hero--primary .sv-searchform-portlet .env-form-element__label, .svp-hero--secondary .sv-searchform-portlet .env-form-element__label {
  display: inline-block;
  margin: 0;
  padding: 0.25em 0.75em;
  background-color: var(--env-ui-color-brand-30);
}

.svp-hero--primary .sv-searchform-portlet input, .svp-hero--secondary .sv-searchform-portlet input {
  box-sizing: border-box;
  padding: 1.2em 1em;
}

.svp-hero--primary .sv-searchform-portlet input:not(:focus-visible), .svp-hero--secondary .sv-searchform-portlet input:not(:focus-visible) {
  border: none;
}

.svp-hero--primary .sv-searchform-portlet ul.sv-autocomplete-search-result, .svp-hero--secondary .sv-searchform-portlet ul.sv-autocomplete-search-result {
  position: fixed;
  z-index: 10011;
  box-sizing: border-box;
  background-color: var(--env-section-background-color);
  float: none;
  font-size: 1em;
  font-family: var(--env-font-family);
  border-radius: var(--env-border-radius-small);
  box-shadow: var(--env-box-shadow-small);
  padding: 0.125em 0;
  border: 1px solid var(--env-border-color);
  line-height: 1.5;
  color: var(--env-font-color);
  position: absolute;
  width: 100%;
  max-width: 100%;
  box-sizing: border-box;
}

.svp-hero--primary .sv-searchform-portlet ul.sv-autocomplete-search-result .sv-autocomplete-result-item, .svp-hero--secondary .sv-searchform-portlet ul.sv-autocomplete-search-result .sv-autocomplete-result-item {
  padding: 0.5em 1em;
}

.svp-hero--primary .sv-searchform-portlet ul.sv-autocomplete-search-result .sv-autocomplete-result-item a, .svp-hero--secondary .sv-searchform-portlet ul.sv-autocomplete-search-result .sv-autocomplete-result-item a {
  display: block;
  color: var(--env-font-color);
  text-decoration: none;
}

.svp-hero--primary .sv-searchform-portlet ul.sv-autocomplete-search-result .sv-autocomplete-result-item:hover, .svp-hero--primary .sv-searchform-portlet ul.sv-autocomplete-search-result .sv-autocomplete-result-item.sv-autocomplete-result-item-active, .svp-hero--secondary .sv-searchform-portlet ul.sv-autocomplete-search-result .sv-autocomplete-result-item:hover, .svp-hero--secondary .sv-searchform-portlet ul.sv-autocomplete-search-result .sv-autocomplete-result-item.sv-autocomplete-result-item-active {
  background-color: var(--env-ui-color-brand-10);
}

.svp-hero--primary {
  background-color: var(--env-block-primary-background-color);
}

.svp-hero--primary .svp-hero__body {
  display: grid;
  grid-template-columns: 3fr 2fr;
  gap: min(6vw, 117px);
  align-items: center;
}

@media (max-width: 1024px) {
  .svp-hero--primary .svp-hero__body {
    display: block;
    position: static;
    min-height: 0;
    padding-bottom: 3em;
  }
}

.svp-hero--primary .svp-hero__links {
  --env-font-color: var(--env-ui-color-brand-75-contrast);
  --env-ui-text-heading-font-color: var(--env-ui-color-brand-75-contrast);
  --env-ui-text-sectionheading-font-color: var(--env-ui-color-brand-75-contrast);
  --env-ui-text-subheading-font-color: var(--env-ui-color-brand-75-contrast);
  --env-link-font-color: var(--env-ui-color-brand-75-contrast);
  --env-link-hover-font-color: var(--env-ui-color-brand-75-contrast);
}

.svp-hero--primary .sv-image-portlet {
  position: absolute;
  z-index: 1;
  --svp-hero-40pct: calc((-0.2 * var(--svp-site-max-width) + 100vw) / 2);
  inset: 0 max(40%, var(--svp-hero-40pct)) 0 0;
}

@media (max-width: 1024px) {
  .svp-hero--primary .sv-image-portlet {
    inset: 0;
    position: static;
    height: 30vh;
    max-height: 200px;
  }
}

.svp-hero--primary .sv-jcrmenu-portlet,
.svp-hero--primary .sv-searchform-portlet {
  position: relative;
  z-index: 2;
}

@media (max-width: 1024px) {
  .svp-hero--primary .sv-searchform-portlet {
    inset: 0;
    max-height: 200px;
  }
}

@media (max-width: 1024px) and (min-width: 1024px) {
  .svp-hero--primary .sv-searchform-portlet {
    padding: 1em var(--svp-site-container-padding-desktop) 1em;
  }
}

.svp-hero--primary .sv-searchform-portlet .svp-search-field {
  flex: 1;
}

.svp-hero--secondary .sv-image-portlet {
  position: absolute;
  z-index: 1;
  inset: 0;
}

.svp-hero--secondary .svp-hero__body {
  display: flex;
  flex-direction: column;
  gap: 2em;
  justify-content: center;
  max-width: var(--svp-site-10col-width);
}

.svp-hero--secondary .svp-hero__links {
  --env-font-color: var(--env-ui-color-brand-90-contrast);
  --env-ui-text-heading-font-color: var(--env-ui-color-brand-90-contrast);
  --env-ui-text-sectionheading-font-color: var(--env-ui-color-brand-90-contrast);
  --env-ui-text-subheading-font-color: var(--env-ui-color-brand-90-contrast);
  --env-link-font-color: var(--env-ui-color-brand-90-contrast);
  --env-link-hover-font-color: var(--env-ui-color-brand-90-contrast);
}

.svp-hero--secondary .svp-hero__links .sv-text-portlet-content {
  display: inline-block;
  padding: 0.75em;
  background-color: var(--env-ui-color-brand-90);
}

@media (max-width: 1024px) {
  .svp-hero--secondary .svp-hero__links .sv-text-portlet-content {
    display: none;
  }
}
